library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;

use work.dtc_link_maps.all;

package mprocessor_constants is

    type tHeaderStartArray is array(cNumberOfFEModules - 1 downto 0) of std_logic_vector(1 downto 0);

    function convertSLVtoHeaderStartArray (input_vector : in std_logic_vector(2*cNumberOfFEModules - 1 downto 0)) return tHeaderStartArray;
    
end package mprocessor_constants;

package body mprocessor_constants is

    function convertSLVtoHeaderStartArray (input_vector : in std_logic_vector(2*cNumberOfFEModules - 1 downto 0)) return tHeaderStartArray is
    
        variable output : tHeaderStartArray;

    begin

        for i in 0 to cNumberOfFEModules - 1 loop
            output(i)(0) := input_vector(2*i);
            output(i)(1) := input_vector(2*i + 1);
        end loop;

        return output;

    end;

end package body mprocessor_constants;